Ruby: pm_instance_variable_and_write_node Struct Reference

Ruby 3.4.4p34 (2025-05-14 revision a38531fd3f617bf734ef7d6c595325f69985ea1d)

Data Fields
pm_instance_variable_and_write_node Struct Reference

InstanceVariableAndWriteNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
pm_constant_id_t | name
| InstanceVariableAndWriteNode#name.
pm_location_t | name_loc
| InstanceVariableAndWriteNode#name_loc.
pm_location_t | operator_loc
| InstanceVariableAndWriteNode#operator_loc.
struct pm_node * | value
| InstanceVariableAndWriteNode#value.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
uint32_t | node_id
| The unique identifier for this node, which is deterministic based on the source.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

InstanceVariableAndWriteNode.

Represents the use of the `&&=` operator for assignment to an instance variable.

    @target &&= value
    ^^^^^^^^^^^^^^^^^

Type: PM_INSTANCE_VARIABLE_AND_WRITE_NODE

Definition at line 4839 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_instance_variable_and_write_node::base

The embedded base node.

Definition at line 4841 of file ast.h.

Referenced by pm_dump_json().

## ◆ name

pm_constant_id_t pm_instance_variable_and_write_node::name

InstanceVariableAndWriteNode#name.

Definition at line 4847 of file ast.h.

Referenced by pm_dump_json().

## ◆ name_loc

pm_location_t pm_instance_variable_and_write_node::name_loc

InstanceVariableAndWriteNode#name_loc.

Definition at line 4852 of file ast.h.

Referenced by pm_dump_json().

## ◆ operator_loc

pm_location_t pm_instance_variable_and_write_node::operator_loc

InstanceVariableAndWriteNode#operator_loc.

Definition at line 4857 of file ast.h.

Referenced by pm_dump_json().

## ◆ value

struct pm_node* pm_instance_variable_and_write_node::value

InstanceVariableAndWriteNode#value.

Definition at line 4862 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

The documentation for this struct was generated from the following file:

- prism/ast.h